import * as z from 'zod';
export const CommissionBatchAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    npiProviderId: z.number(),
    totalCollection: z.number(),
    commissionAmount: z.number(),
    notes: z.number(),
    createdAt: z.number(),
    npiProvider: z.number(),
    items: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    npiProviderId: z.number().nullable(),
    totalCollection: z.number().nullable(),
    commissionAmount: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    npiProviderId: z.number().nullable(),
    totalCollection: z.number().nullable(),
    commissionAmount: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    npiProviderId: z.number().int().nullable(),
    totalCollection: z.number().nullable(),
    commissionAmount: z.number().nullable(),
    notes: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    npiProviderId: z.number().int().nullable(),
    totalCollection: z.number().nullable(),
    commissionAmount: z.number().nullable(),
    notes: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional()});